File: setup.py

package info (click to toggle)
python-websockets 7.0-1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid
  • size: 332 kB
  • sloc: python: 2,396; ansic: 85; makefile: 6
file content (71 lines) | stat: -rw-r--r-- 2,120 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
import pathlib
import sys

import setuptools


root_dir = pathlib.Path(__file__).parent

description = "An implementation of the WebSocket Protocol (RFC 6455 & 7692)"

# When dropping Python < 3.5, change to:
# long_description = (root_dir / 'README.rst').read_text(encoding='utf-8')
with (root_dir / 'README.rst').open(encoding='utf-8') as f:
    long_description = f.read()

# When dropping Python < 3.5, change to:
# exec((root_dir / 'src' / 'websockets' / 'version.py').read_text(encoding='utf-8'))
with (root_dir / 'src' / 'websockets' / 'version.py').open(encoding='utf-8') as f:
    exec(f.read())

py_version = sys.version_info[:2]

if py_version < (3, 4):
    raise Exception("websockets requires Python >= 3.4.")

packages = ['websockets', 'websockets/extensions']

if py_version >= (3, 5):
    packages.append('websockets/py35')

if py_version >= (3, 6):
    packages.append('websockets/py36')

ext_modules = [
    setuptools.Extension(
        'websockets.speedups',
        sources=['src/websockets/speedups.c'],
        optional=not (root_dir / '.cibuildwheel').exists(),
    )
]

setuptools.setup(
    name='websockets',
    version=version,
    description=description,
    long_description=long_description,
    url='https://github.com/aaugustin/websockets',
    author='Aymeric Augustin',
    author_email='aymeric.augustin@m4x.org',
    license='BSD',
    classifiers=[
        'Development Status :: 5 - Production/Stable',
        'Environment :: Web Environment',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: BSD License',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
    ],
    package_dir = {'': 'src'},
    packages=packages,
    ext_modules=ext_modules,
    include_package_data=True,
    zip_safe=True,
    python_requires='>=3.4',
    test_loader='unittest:TestLoader',
)